package com.uas.platform.b2b.erp.service;

import com.uas.platform.b2b.erp.model.InquiryVendorInfo;
import com.uas.platform.b2b.model.Vendor;

import java.util.List;

/**
 * Created by hejq on 2017-09-29.
 */
public interface VendorService {

    /**
     * 保存erp邀请记录
     *
     * @param infos
     */
    void saveInvitation(List<InquiryVendorInfo> infos);

    /**
     * 获取注册平台后的供应商的信息
     *
     * @return
     */
    List<InquiryVendorInfo> getInfo();

    /**
     * 更新平台供应商UU下载状态
     *
     * @param ids
     */
    void updateStatus(String ids);

    /**
     * 添加合作伙伴
     *
     * @param vendor 供应商资料
     * @param appId 应用来源
     */
    void addPartnerShipRecord(Vendor vendor, String appId);
}
